#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'jadwal_klarifikasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            #{if !aktifUser.isProvider()}
                #{if showButtonTambah}
                    <a href="@{katalog.PermohonanPembaruanCtr.createKlarifikasi(id)}" class="btn btn-primary btn-md"><i
                            class="fa fa-plus"></i> &{'tambah.label'} &{'klarifikasi.label'}</a>
                #{/if}
            *{#{if showButtonSetuju}}*
            *{<a href="#" onclick="openForm()" class="btn btn-success btn-md open-approval-data"><i}*
            *{class="fa fa-calendar-check-o"></i> &{'persetujuan_update_data.label'}</a>}*
            *{#{/if}}*
                #{if isNowAfterSchedule }
                    <a href="#" onclick="openFormBatal()" class="btn btn-danger btn-md"><i
                    class="fa fa-calendar-check-o"></i> &{'batal.label'}</a>
                    <a href="@{katalog.PermohonanPembaruanCtr.createKlarifikasi(id)}" class="btn btn-primary btn-md"><i
                            class="fa fa-plus"></i> &{'tambah.label'} &{'klarifikasi.label'}</a>
                #{/if}
            #{/if}
            </div>
        #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblDisposisi">
                        <thead>
                        <tr>
                            <th class="header-center">&{'tanggal.label'}</th>
                            <th class="header-center">&{'waktu.label'}</th>
                            <th class="header-center">&{'lokasi.label'}</th>
                            <th class="header-center">&{'judul.label'}</th>
                            <th class="header-center">&{'keterangan.label'}</th>
                            <th class="header-center">&{'file.label'}</th>
                            <th class="header-center">&{'aksi.label'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:klarifikasi, as:'item'}
                        <tr>
                            <td class="text-center">${item?.getReadableDate()}</td>
                            <td class="text-center">${item?.waktu_kegiatan}</td>
                            <td>${item?.lokasi}</td>
                            <td>${item?.judul_kegiatan}</td>
                            <td>${item?.keterangan}</td>
                            <td class="text-center"><a href="${item?.getFileUrl()}">${item?.nama_file}</a></td>
                            <td class="text-center">
                            #{if item?.status_jadwal == 0}
                                <span style="color:#DD1144" class="fa fa-minus-circle fa-lg"></span>
                            #{/if}
                            #{else}
                                #{if item?.setuju_tolak != null}
                                    #{if item.setuju_tolak.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_SETUJU)}
                                        <span style="color:green" class="fa fa-check-circle fa-lg"></span>
                                    #{/if}
                                    #{else}
                                        <span style="color:red" class="fa fa-times-circle fa-lg"></span>
                                    #{/else}
                                #{/if}
                                #{else}
                                    #{if !aktifUser.isProvider()}
                                        #{if showButtonUbah}
                                            <a href="@{katalog.PermohonanPembaruanCtr.editKlarifikasi(item.id)}"
                                               class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                        #{/if}
                                    #{/if}
                                    #{else}
                                        <a href="#" onclick="openFormKonfirmasi(${item?.id})"
                                           class="btn btn-success btn-md">&{'konfirmasi.label'}</a>
                                    #{/else}
                                #{/else}
                            #{/else}
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                    <hr/>
                    *{<div><b>${jadwal}</b></div>}*
                    <div><b>Keterangan:</b></div>
                    <div><span style="color:green" class="fa fa-check-circle fa-lg"></span> : Penyedia setuju untuk hadir</div>
                    <div><span style="color:red" class="fa fa-times-circle fa-lg"></span> : Penyedia menolak untuk hadir</div>
                    <div><span style="color:#DD1144" class="fa fa-minus-circle fa-lg"></span> : Penyedia tidak konfirmasi kehadiran</div>
                    <div style="margin-top: 10px">Catatan:</div>
                    <div> - Jika penyedia tidak bisa hadir dalam proses klarifikasi ini maka permohonan pembaruan ini akan dibatalkan secara otomatis.</div>
                    <div> - Jika penyedia tidak konfirmasi sampai jadwal yang telah ditentukan, maka admin dapat membatalkan permohonan pembaruan ini.</div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="formPersetujuanKlarifikasi" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.terimaTolakKlarifikasi(), method:'POST', id:'formSetuju'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'persetujuan_update_data.label.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasan" value="" id="alasan" name="alasan"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control tipe" value="" id="tipe" name="tipe" style="display: none"/>
                    <input class="form-control setujuTolak" value="" id="setujuTolak" name="setujuTolak"
                           style="display: none"/>
                    <input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"
                            id="setuju">&{'terima.label'}</button>&nbsp;
                    <button type="button" onclick="submitTolak()" class="btn btn-danger tolak"
                            id="tolak">&{'tolak.label'}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <div class="modal fade" id="formPersetujuanKehadiran" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.setujuTolakKehadiranKlarifikasi(), method:'POST', id:'formSetujuKehadiran'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            &{'konfirmasi_kehadiran_klarifikasi_penyedia.label'}
                        </div>
                    </div>
                    <input class="form-control setujuTolakKehadiran" value="" id="setujuTolakKehadiran" name="setujuTolakKehadiran"
                           style="display: none"/>
                    <input class="form-control pmbId" value="${id}" id="pmbId" name="pmbId" style="display: none"/>
                    <input class="form-control jadwalId" value="" id="jadwalId" name="jadwalId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetujuKehadiran()" class="btn btn-primary setujuKehadiran"
                            id="setujuKehadiran">&{'ya.label'}</button>&nbsp;
                    <button type="button" onclick="submitTolakKehadiran()" class="btn btn-danger tolakKehadiran"
                            id="tolakKehadiran">&{'tidak.label'}</button>
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <!-- Modal informasi batal permohonan-->
    <div class="modal fade" id="viewRiwayatBatal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.AdminBatalkanPermohonan(), method:'POST', id:'formBatal'}
        <div class="modal-dialog modal-md" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabelBatal">&{'permohonan_pembaruan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row" style="text-align: center !important;"><b>&{'permohonan_pembaruan_batal.label'}</b></div>
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasan" value="" id="alasan" name="alasan"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control permIdS" id="permIdS" name="permIdS" value="${id}" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitBatal()" class="btn btn-danger batal"
                            id="batal">&{'ya.label'}</button>&nbsp;
                    <button type="button" class="btn btn-primary" data-dismiss="modal">&{'tidak.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>
</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">
    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("klarifikasi");
        $('#modalTitle').text("&{'form.label'} &{'persetujuan_update_data.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function openFormKonfirmasi(idKlarifikasi) {
        // document.getElementById("pembatalanForm").style.display = "block";
        //console.log(idKlarifikasi);
        $('#jadwalId').val(idKlarifikasi);
        $('#formPersetujuanKehadiran #modalTitle').text("&{'konfirmasi_kehadiran_klarifikasi.label'}");
        $('#formPersetujuanKehadiran').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        if ($('#alasan').val() == "") {
            showToast();
        } else {
            var st = "diterima";
            $('#setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function submitTolak() {
        if ($('#alasan').val() == "") {
            showToast();
        } else {
            var st = "ditolak";
            $('#setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function submitSetujuKehadiran() {
        var st = "setuju";
        $('#setujuTolakKehadiran').val(st);
        *{var msg = "&{'warning_kirim_hasil_klarifikasi.label'}";}*
        *{var conf = confirm(msg);}*
        *{var href = "@{katalog.PermohonanPembaruanCtr.kirimHasilKlarifikasi(id)}";}*
        *{if (conf == true) {}*
            *{window.location.href = href;}*
            *{//$("#btnKirim").click();}*
        *{}*
        $('#formSetujuKehadiran').submit();
    }

    function submitTolakKehadiran() {
        var st = "tolak";
        $('#setujuTolakKehadiran').val(st);
        $('#formSetujuKehadiran').submit();
    }

    function showToast() {
        jQuery.toast({
            heading: "&{'peringatan.label'}",
            text: "&{'alasan_tidak_boleh_kosong.label'}",
            position: 'bottom-center',
            stack: false,
            icon: 'error',
            hideAfter: 6000
        })
    }

    function openFormBatal() {
        $("#viewRiwayatBatal").modal();
    }

    function submitBatal() {
        if ($('#viewRiwayatBatal #alasan').val() == "") {
            showToast();
        } else {
            $('#formBatal').submit();
        }
    }
</script>
#{/set}